> For the complete documentation index, see [llms.txt](https://docs.kynno.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kynno.app/products/easytextures/examples/pbr-materials-support.md).

# PBR Materials Support

To learn what is PBR on Second Life, please visit <https://wiki.secondlife.com/wiki/PBR_Materials>

To apply a material, you can use the UUID of the material

```
-blueSet
stool;pbr;3;e8d6f6cf-91c1-af76-f272-a50f107cb5f3
```

If  you need to tweak the data of the applied material, you can change the basecolor, normal or matellic. Basic changes, where you only change the materials of `face 6` of the prim `stool`.

```
-redSet
stool;pbr_basecolor;6;fbc6551e-05ea-2aad-f643-b82612455b39
stool;pbr_normal;6;cebf98c1-ce8a-a024-baff-86f1e748f2c6
stool;pbr_metallic;6;b63cd68e-3ef2-0a0a-db52-c21d46bf27df

-greenSet
stool;pbr_basecolor;6;2f25ad79-7cde-a0e6-6429-662884ddb3d2
stool;pbr_normal;6;296ebc06-7bc7-7309-63e3-74eae09686f5
stool;pbr_metallic;6;95f969e0-dfca-a2ee-74a1-15b8efd7e661
```

If you want to change the metallic\_factor or the roughness\_factor, you could use

{% code overflow="wrap" %}

```
// Default values: [ PRIM_GLTF_METALLIC_ROUGHNESS, integer face, string texture, vector repeats, vector offsets, float rotation_in_radians, float metallic_factor, float roughness_factor ]

// Instruction to add to your .config HUD

// Change only the metallic_factor
stool;pbr_metallic;6;95f969e0-dfca-a2ee-74a1-15b8efd7e661,NULL,NULL,NULL,0.1

// Change only the roughness_factor
stool;pbr_metallic;6;95f969e0-dfca-a2ee-74a1-15b8efd7e661,NULL,NULL,NULL,NULL,0.5

// Or change both, by combining the values
stool;pbr_metallic;6;95f969e0-dfca-a2ee-74a1-15b8efd7e661,NULL,NULL,NULL,0.1,0.5


// 0.1 is the metallic_factor, 0.5 is the roughness_factor
```

{% endcode %}

The emissive of a material can be changed as well, to do so:

{% code overflow="wrap" %}

```
stool;pbr_emissive;6;95f969e0-dfca-a2ee-74a1-15b8efd7e661,NULL,NULL,NULL,0.8

// The emissive value will be set to 0.8
```

{% endcode %}

{% hint style="info" %}
Setting **`NULL`** as a value is telling the script to use the default value
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kynno.app/products/easytextures/examples/pbr-materials-support.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
